Page MenuHomePhabricator

ApiSetNotificationTimestamp update watchlist wl_notificationtimestamp should use WatchedItemStore
Closed, ResolvedPublic5 Story Points

Description

This is the last update in core still being done directly.

Event Timeline

Addshore created this task.May 4 2016, 2:13 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 4 2016, 2:13 PM
Tobi_WMDE_SW triaged this task as Medium priority.May 4 2016, 3:29 PM
Addshore changed the point value for this task from 3 to 5.

Change 287184 had a related patch set uploaded (by Addshore):
Use WIS::getNotificationTimestampsBatch in ApiSetNotifTimestamp

https://gerrit.wikimedia.org/r/287184

Change 286880 merged by jenkins-bot:
add setNotificationTimestampsForUser to WatchedItemStore

https://gerrit.wikimedia.org/r/286880

Change 287184 merged by jenkins-bot:
Use WIS::getNotificationTimestampsBatch in ApiSetNotifTimestamp

https://gerrit.wikimedia.org/r/287184

Addshore closed this task as Resolved.Jul 12 2016, 1:27 PM
Addshore moved this task from Unsorted 💣 to Closing ✔️ on the User-Addshore board.
Restricted Application added a project: Community-Tech. · View Herald TranscriptOct 25 2019, 8:00 PM